Package org.kapott.hbci.sepa.jaxb.camt_052_001_05

## Class BankToCustomerAccountReportV05

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_05.BankToCustomerAccountReportV05

    public class BankToCustomerAccountReportV05
    extends java.lang.Object

Java class for BankToCustomerAccountReportV05 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BankToCustomerAccountReportV05">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="GrpHdr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}GroupHeader58"/>
             <element name="Rpt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}AccountReport18" maxOccurs="unbounded"/>
             <element name="SplmtryData" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}SupplementaryData1" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected GroupHeader58` `grpHdr`
`protected java.util.List<AccountReport18>` `rpt`
`protected java.util.List<SupplementaryData1>` `splmtryData`

### Constructor Summary

Constructors
`BankToCustomerAccountReportV05()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GroupHeader58` `getGrpHdr()` Gets the value of the grpHdr property.
`java.util.List<AccountReport18>` `getRpt()` Gets the value of the rpt property.
`java.util.List<SupplementaryData1>` `getSplmtryData()` Gets the value of the splmtryData property.
`void` `setGrpHdr​(GroupHeader58 value)` Sets the value of the grpHdr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### grpHdr

    protected GroupHeader58 grpHdr

#### rpt

    protected java.util.List<AccountReport18> rpt

#### splmtryData

    protected java.util.List<SupplementaryData1> splmtryData

### Constructor Detail

#### BankToCustomerAccountReportV05

    public BankToCustomerAccountReportV05()

### Method Detail

#### getGrpHdr

    public GroupHeader58 getGrpHdr()

Gets the value of the grpHdr property.

Returns:
  possible object is `GroupHeader58`

#### setGrpHdr

    public void setGrpHdr​(GroupHeader58 value)

Sets the value of the grpHdr property.

Parameters:
  `value` - allowed object is `GroupHeader58`

#### getRpt

    public java.util.List<AccountReport18> getRpt()

Gets the value of the rpt property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rpt property.

For example, to add a new item, do as follows:

        getRpt().add(newItem);

Objects of the following type(s) are allowed in the list `AccountReport18`

#### getSplmtryData

    public java.util.List<SupplementaryData1> getSplmtryData()

Gets the value of the splmtryData property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the splmtryData property.

For example, to add a new item, do as follows:

        getSplmtryData().add(newItem);

Objects of the following type(s) are allowed in the list `SupplementaryData1`